Index: src/main/java/com/example/autopartz/controller/HomeController.java
===================================================================
--- src/main/java/com/example/autopartz/controller/HomeController.java	(revision cab5859f1391dcc4e31574008172a49c1c4ed577)
+++ src/main/java/com/example/autopartz/controller/HomeController.java	(revision 89865ae53ceeadf02cbda43e41ca9d085eb75548)
@@ -2,4 +2,5 @@
 
 import com.example.autopartz.model.*;
+import com.example.autopartz.model.DTO.CurrentOrderDTO;
 import com.example.autopartz.model.DTO.OrderInfo;
 import com.example.autopartz.model.manytomany.OrderContainsPart;
@@ -40,6 +41,7 @@
     private final PartManufacturersReportRepository partManufacturersReportRepository;
     private final MostPurchasedPartRepository mostPurchasedPartRepository;
+    private final PriceService priceService;
     public HomeController(LoginService loginService, PartService partService, PartsForCarTypeAndCategoryRepository partsForCarTypeAndCategoryRepository, CarService carService, CategoryService categoryService, RepairShopReviewSummaryRepository repairShopReviewSummaryRepository, WarehouseRepository warehouseRepository,
-                          OrderContainsPartRepository orderContainsPartRepository, OrderService orderService, UserService userService, DeliveriesInProgressRepository deliveriesInProgressRepository, DeliveryService deliveryService, PartIsInStockInWarehouseRepository partIsInStockInWarehouseRepository, CarCategoryReportRepository carCategoryReportRepository, PartManufacturersReportRepository partManufacturersReportRepository, MostPurchasedPartRepository mostPurchasedPartRepository) {
+                          OrderContainsPartRepository orderContainsPartRepository, OrderService orderService, UserService userService, DeliveriesInProgressRepository deliveriesInProgressRepository, DeliveryService deliveryService, PartIsInStockInWarehouseRepository partIsInStockInWarehouseRepository, CarCategoryReportRepository carCategoryReportRepository, PartManufacturersReportRepository partManufacturersReportRepository, MostPurchasedPartRepository mostPurchasedPartRepository, PriceService priceService) {
         this.loginService = loginService;
         this.partService = partService;
@@ -58,4 +60,5 @@
         this.partManufacturersReportRepository = partManufacturersReportRepository;
         this.mostPurchasedPartRepository = mostPurchasedPartRepository;
+        this.priceService = priceService;
     }
 
@@ -90,5 +93,20 @@
             model.addAttribute("hasError",false);
             model.addAttribute("order",o);
-            model.addAttribute("parts",orderService.findById(o.getOrderid()).getPartList());
+            List<CurrentOrderDTO> list = new ArrayList<>();
+            int total = 0;
+            List<OrderContainsPart> qList = orderContainsPartRepository.findAllByOrderid(o.getOrderid());
+            for (int i = 0; i < qList.size(); i++) {
+                int pr = qList.get(i).getQuantity_order()*
+                        priceService.findPriceForPart(partService.findById(qList.get(i).getPartid())).stream().findFirst().get().getAmount();
+                CurrentOrderDTO temp = new CurrentOrderDTO(
+                        partService.findById(qList.get(i).getPartid()).getName(),
+                        partService.findById(qList.get(i).getPartid()).getManufacturer().getName(),
+                        qList.get(i).getQuantity_order(),
+                        pr);
+                list.add(temp);
+                total+=pr;
+            }
+            model.addAttribute("total",total);
+            model.addAttribute("parts",list);
         }
         model.addAttribute("bodyContent","currentOrder");
Index: src/main/java/com/example/autopartz/model/DTO/CurrentOrderDTO.java
===================================================================
--- src/main/java/com/example/autopartz/model/DTO/CurrentOrderDTO.java	(revision 89865ae53ceeadf02cbda43e41ca9d085eb75548)
+++ src/main/java/com/example/autopartz/model/DTO/CurrentOrderDTO.java	(revision 89865ae53ceeadf02cbda43e41ca9d085eb75548)
@@ -0,0 +1,21 @@
+package com.example.autopartz.model.DTO;
+
+import lombok.Data;
+import lombok.NoArgsConstructor;
+import lombok.RequiredArgsConstructor;
+
+@Data
+@NoArgsConstructor
+public class CurrentOrderDTO {
+    String partName;
+    String manufacturerName;
+    Integer quantity;
+    Integer price;
+
+    public CurrentOrderDTO(String partName, String manufacturerName, Integer quantity, Integer price) {
+        this.partName = partName;
+        this.manufacturerName = manufacturerName;
+        this.quantity = quantity;
+        this.price = price;
+    }
+}