Index: frontend/src/components/Header.js
===================================================================
--- frontend/src/components/Header.js	(revision 55ed1718e29f3bb840f3e7b798f4728e2b431499)
+++ frontend/src/components/Header.js	(revision 113029bbf1a9831d3ae8fae3e6e1d250ae725493)
@@ -23,4 +23,5 @@
 import { useContext } from "react";
 import NavDropdown from "react-bootstrap/NavDropdown";
+import { height } from "@mui/system";
 
 const toggleMenu = (event) => {
@@ -133,11 +134,116 @@
                     </div>
                     <ul>
-                      <li>Аголни гарнитури</li>
-                      <li>Софи</li>
-                      <li>Фотелји</li>
-                      <li>Табуретки</li>
-                      <li>Клуб Маси</li>
-                      <li>ТВ комоди</li>
-                      <li>Комоди</li>
+                      <li>
+                        <Link
+                          to="/products/dnevna/agolni-garnituri"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Аголни гарнитури
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/dnevna/sofi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Софи
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/dnevna/fotelji"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Фотелји
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/dnevna/taburetki"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Табуретки
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/dnevna/klub-masi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Клуб Маси
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/dnevna/tv-komodi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          ТВ Комоди
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/dnevna/komodi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Комоди
+                        </Link>
+                      </li>
                     </ul>
                   </div>
@@ -157,7 +263,52 @@
                     </div>
                     <ul>
-                      <li>Шкафови за чевли</li>
-                      <li>Закачалки и огледала</li>
-                      <li>Колекции за ходник</li>
+                      <li>
+                        <Link
+                          to="/products/hodnik/skafovi-za-cevli"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Шкафови за чевли
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/hodnik/zakacalki-i-ogledala"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Закачалки и огледала
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/hodnik/kolekcii-za-hodnik"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Колекции за ходник
+                        </Link>
+                      </li>
                     </ul>
                   </div>
@@ -177,6 +328,36 @@
                     </div>
                     <ul>
-                      <li>Кујнски аголни гарнитури</li>
-                      <li>Стандардни кујни</li>
+                      <li>
+                        <Link
+                          to="/products/kujna/kujnski-agolni-garnituri"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Кујнски аголни гарнитури
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/kujna/standarni-kujni"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Стандардни кујни
+                        </Link>
+                      </li>
                     </ul>
                   </div>
@@ -196,10 +377,103 @@
                     </div>
                     <ul>
-                      <li>Спални комплети</li>
-                      <li>Лежаи</li>
-                      <li>Кревети</li>
-                      <li>Плакари</li>
-                      <li>Ноќни шкафчиња</li>
-                      <li>Тоалетни маси</li>
+                      <li>
+                        <Link
+                          to="/products/spalna/spalni-kompleti"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Спални комплети
+                        </Link>
+                      </li>
+
+                      <li>
+                        <Link
+                          to="/products/spalna/lezai"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Лежаи
+                        </Link>
+                      </li>
+
+                      <li>
+                        <Link
+                          to="/products/spalna/kreveti"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Кревети
+                        </Link>
+                      </li>
+
+                      <li>
+                        <Link
+                          to="/products/spalna/plakari"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Плакари
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/spalna/nokni-skafcinja"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Ноќни шкафчиња
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/spalna/toaletni-masi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Тоалетни маси
+                        </Link>
+                      </li>
                     </ul>
                   </div>
@@ -219,10 +493,100 @@
                     </div>
                     <ul>
-                      <li>Градинарски комплети</li>
-                      <li>Градинарски лулки</li>
-                      <li>Градинарски чадори</li>
-                      <li>Градинарски маси</li>
-                      <li>Градинарски столови</li>
-                      <li>Градинарско осветлување</li>
+                      <li>
+                        <Link
+                          to="/products/gradina/gradinarski-kompleti"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Градинарски комплети
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/gradina/gradinarski-lulki"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Градинарски лулки
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/gradina/gradinarski-cadori"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Градинарски чадори
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/gradina/gradinarski-masi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Градинарски маси
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/gradina/gradinarski-stolovi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Градинарски столови
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/gradina/gradinarsko-osvetluvanje"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Градинарско осветлување
+                        </Link>
+                      </li>
                     </ul>
                   </div>
@@ -242,8 +606,68 @@
                     </div>
                     <ul>
-                      <li>Бироа</li>
-                      <li>Канцелариски столови</li>
-                      <li>Гејмерски столови</li>
-                      <li>Канцелариски шкафови</li>
+                      <li>
+                        <Link
+                          to="/products/kancelarija/biroa"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Бироа
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/kancelarija/kancelariski-stolovi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Канцелариски столови
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/kancelarija/gejmerski-stolovi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Гејмерски столови
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/kancelarija/kancelariski-skafovi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Канцелариски шкафови
+                        </Link>
+                      </li>
                     </ul>
                   </div>
@@ -263,8 +687,68 @@
                     </div>
                     <ul>
-                      <li>Трпезариски маси</li>
-                      <li>Трпезариски столови</li>
-                      <li>Кујнски гарнитури</li>
-                      <li>Бар столови и маси</li>
+                      <li>
+                        <Link
+                          to="/products/trpezarija/trpezariski-masi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Трпезариски маси
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/trpezarija/trpezariski-stolovi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Трпезариски столови
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/trpezarija/kujnski-garnituri"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Кујнски гарнитури
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/trpezarija/bar-stolovi-i-masi"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Бар столови и маси
+                        </Link>
+                      </li>
                     </ul>
                   </div>
@@ -284,7 +768,52 @@
                     </div>
                     <ul>
-                      <li>Колекции за детска соба</li>
-                      <li>Детски бироа</li>
-                      <li>Лежаи</li>
+                      <li>
+                        <Link
+                          to="/products/detska/kolekcii-za-detska-soba"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Колекции за детска соба
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/detska/detski-biroa"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Детски бироа
+                        </Link>
+                      </li>
+                      <li>
+                        <Link
+                          to="/products/detska/detski-lezai"
+                          style={{
+                            textDecoration: "none",
+                            color: "black",
+                            width: "100%",
+                            height: "100%",
+                            display: "flex",
+                            justifyContent: "center",
+                            alignItems: "center",
+                          }}
+                        >
+                          Лежаи
+                        </Link>
+                      </li>
                     </ul>
                   </div>
@@ -312,65 +841,77 @@
               <ul>
                 <li>
-                  <a href="#">
+                  <Link to="/products/dnevna/all">
                     <span>
                       <WeekendIcon /> Дневна
                     </span>
-                  </a>
+                  </Link>
                   <ul>
                     <li>
-                      <a href="#">Аголни гарнитури</a>
-                    </li>
-                    <li>
-                      <a href="#">Софи</a>
-                    </li>
-                    <li>
-                      <a href="#">Фотелји</a>
-                    </li>
-                    <li>
-                      <a href="#">Табуретки</a>
-                    </li>
-                    <li>
-                      <a href="#">Клуб Маси</a>
-                    </li>
-                    <li>
-                      <a href="#">ТВ Комоди</a>
-                    </li>
-                    <li>
-                      <a href="#">Комоди</a>
+                      <Link to="/products/dnevna/agolni-garnituri">
+                        Аголни гарнитури
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/dnevna/sofi">Софи</Link>
+                    </li>
+                    <li>
+                      <Link to="/products/dnevna/fotelji">Фотелји</Link>
+                    </li>
+                    <li>
+                      <Link to="/products/dnevna/taburetki">Табуретки</Link>
+                    </li>
+                    <li>
+                      <Link to="/products/dnevna/klub-masi">Клуб Маси</Link>
+                    </li>
+                    <li>
+                      <Link to="/products/dnevna/tv-komodi">ТВ Комоди</Link>
+                    </li>
+                    <li>
+                      <Link to="/products/dnevna/komodi">Комоди</Link>
                     </li>
                   </ul>
                 </li>
                 <li>
-                  <a href="#">
+                  <Link to="/products/hodnik/all">
                     <span>
                       <MeetingRoomIcon />
                       Ходник
                     </span>
-                  </a>
+                  </Link>
                   <ul>
                     <li>
-                      <a href="#">Шкафови за чевли</a>
-                    </li>
-                    <li>
-                      <a href="#">Закачалки и огледала</a>
-                    </li>
-                    <li>
-                      <a href="#">Колекции за ходник</a>
+                      <Link to="/products/hodnik/skafovi-za-cevli">
+                        Шкафови за чевли
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/hodnik/zakacalki-i-ogledala">
+                        Закачалки и огледала
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/hodnik/kolekcii-za-hodnik">
+                        Колекции за ходник
+                      </Link>
                     </li>
                   </ul>
                 </li>
                 <li>
-                  <a href="#">
+                  <Link to="/products/kujna/all">
                     <span>
                       <KitchenIcon />
                       Кујна
                     </span>
-                  </a>
+                  </Link>
                   <ul>
                     <li>
-                      <a href="#">Кујнски аголни гарнитури</a>
-                    </li>
-                    <li>
-                      <a href="#">Стандардни кујни</a>
+                      <Link to="/products/kujna/kujnski-agolni-garnituri">
+                        Кујнски аголни гарнитури
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/kujna/standarni-kujni">
+                        Стандардни кујни
+                      </Link>
                     </li>
                   </ul>
@@ -381,59 +922,77 @@
               <ul>
                 <li>
-                  <a href="#">
+                  <Link to="/products/spalna/all">
                     <span>
                       <BedIcon />
                       Спална
                     </span>
-                  </a>
+                  </Link>
                   <ul>
                     <li>
-                      <a href="#">Спални комплети</a>
-                    </li>
-
-                    <li>
-                      <a href="#">Лежаи</a>
-                    </li>
-
-                    <li>
-                      <a href="#">Кревети</a>
-                    </li>
-
-                    <li>
-                      <a href="#">Плакари</a>
-                    </li>
-                    <li>
-                      <a href="#">Ноќни шкафчиња</a>
-                    </li>
-                    <li>
-                      <a href="#">Тоалетни маси</a>
+                      <Link to="/products/spalna/spalni-kompleti">
+                        Спални комплети
+                      </Link>
+                    </li>
+
+                    <li>
+                      <Link to="/products/spalna/lezai">Лежаи</Link>
+                    </li>
+
+                    <li>
+                      <Link to="/products/spalna/kreveti">Кревети</Link>
+                    </li>
+
+                    <li>
+                      <Link to="/products/spalna/plakari">Плакари</Link>
+                    </li>
+                    <li>
+                      <Link to="/products/spalna/nokni-skafcinja">
+                        Ноќни шкафчиња
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/spalna/toaletni-masi">
+                        Тоалетни маси
+                      </Link>
                     </li>
                   </ul>
                 </li>
                 <li>
-                  <a href="#">
+                  <Link to="/products/gradina/all">
                     <span>
                       <DeckIcon />
                       Мебел за градина
                     </span>
-                  </a>
+                  </Link>
                   <ul>
                     <li>
-                      <a href="#">Градинарски комплети</a>
-                    </li>
-                    <li>
-                      <a href="#">Градинарски лулки</a>
-                    </li>
-                    <li>
-                      <a href="#">Градинарски чадори</a>
-                    </li>
-                    <li>
-                      <a href="#">Градинарски маси</a>
-                    </li>
-                    <li>
-                      <a href="#">Градинарски столови</a>
-                    </li>
-                    <li>
-                      <a href="#">Градинарско осветлување</a>
+                      <Link to="/products/gradina/gradinarski-kompleti">
+                        Градинарски комплети
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/gradina/gradinarski-lulki">
+                        Градинарски лулки
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/gradina/gradinarski-cadori">
+                        Градинарски чадори
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/gradina/gradinarski-masi">
+                        Градинарски маси
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/gradina/gradinarski-stolovi">
+                        Градинарски столови
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/gradina/gradinarsko-osvetluvanje">
+                        Градинарско осветлување
+                      </Link>
                     </li>
                   </ul>
@@ -444,63 +1003,81 @@
               <ul>
                 <li>
-                  <a href="#">
+                  <Link to="/products/kancelarija/all">
                     <span>
                       <ChairAltIcon />
                       Канцеларија
                     </span>
-                  </a>
+                  </Link>
                   <ul>
                     <li>
-                      <a href="#">Бироа</a>
-                    </li>
-                    <li>
-                      <a href="#">Канцелариски столови</a>
-                    </li>
-                    <li>
-                      <a href="#">Гејмерски столови</a>
-                    </li>
-                    <li>
-                      <a href="#">Канцелариски шкафови</a>
+                      <Link to="/products/kancelarija/biroa">Бироа</Link>
+                    </li>
+                    <li>
+                      <Link to="/products/kancelarija/kancelariski-stolovi">
+                        Канцелариски столови
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/kancelarija/gejmerski-stolovi">
+                        Гејмерски столови
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/kancelarija/kancelariski-skafovi">
+                        Канцелариски шкафови
+                      </Link>
                     </li>
                   </ul>
                 </li>
                 <li>
-                  <a href="#">
+                  <Link to="/products/trpezarija/all">
                     <span>
                       <TableRestaurantIcon />
                       Трпезарија
                     </span>
-                  </a>
+                  </Link>
                   <ul>
                     <li>
-                      <a href="#">Трпезариски маси</a>
-                    </li>
-                    <li>
-                      <a href="#">Трпезариски столови</a>
-                    </li>
-                    <li>
-                      <a href="#">Кујнски гарнитури</a>
-                    </li>
-                    <li>
-                      <a href="#">Бар столови и маси</a>
+                      <Link to="/products/trpezarija/trpezariski-masi">
+                        Трпезариски маси
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/trpezarija/trpezariski-stolovi">
+                        Трпезариски столови
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/trpezarija/kujnski-garnituri">
+                        Кујнски гарнитури
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/trpezarija/bar-stolovi-i-masi">
+                        Бар столови и маси
+                      </Link>
                     </li>
                   </ul>
                 </li>
                 <li>
-                  <a href="#">
+                  <Link to="/products/detska/all">
                     <span>
                       <BedroomChildIcon />
                       Детска соба
                     </span>
-                  </a>
+                  </Link>
                   <ul>
                     <li>
-                      <a href="#">Колекции за детска соба</a>
-                    </li>
-                    <li>
-                      <a href="#">Детски бироа</a>
-                    </li>
-                    <li>
-                      <a href="#">Лежаи</a>
+                      <Link to="/products/detska/kolekcii-za-detska-soba">
+                        Колекции за детска соба
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/detska/detski-biroa">
+                        Детски бироа
+                      </Link>
+                    </li>
+                    <li>
+                      <Link to="/products/detska/detski-lezai">Лежаи</Link>
                     </li>
                   </ul>
Index: frontend/src/components/Product.js
===================================================================
--- frontend/src/components/Product.js	(revision 55ed1718e29f3bb840f3e7b798f4728e2b431499)
+++ frontend/src/components/Product.js	(revision 113029bbf1a9831d3ae8fae3e6e1d250ae725493)
@@ -4,4 +4,6 @@
 import { Link } from "react-router-dom";
 import { Store } from "../Store";
+import CheckIcon from "@mui/icons-material/Check";
+import ClearIcon from "@mui/icons-material/Clear";
 
 function Product({ product }) {
@@ -14,5 +16,8 @@
   };
   return (
-    <div className="product__container">
+    <div
+      className="product__container"
+      style={{ marginLeft: "5px", marginRight: "5px", marginTop: "10px" }}
+    >
       <Link to={`/product/${product.slug}`} style={{ height: "165.91px" }}>
         <div className="product__img" style={{ height: "100%" }}>
@@ -24,6 +29,17 @@
         </div>
       </Link>
-      <div className="product__textContainer">
-        <Link to={`/product/${product.slug}`}>
+      <div
+        className="product__textContainer"
+        style={{
+          display: "flex",
+          justifyContent: "space-evenly",
+          alignItems: "center",
+          marginLeft: "25px",
+        }}
+      >
+        <Link
+          to={`/product/${product.slug}`}
+          style={{ textDecoration: "none", color: "black" }}
+        >
           <div className="product__name">
             <h3>{product.name}</h3>
@@ -31,8 +47,28 @@
         </Link>
         <div className="product__price">
-          <h5>{product.price}ден</h5>
+          <h3 style={{ textDecoration: "none", color: "black" }}>
+            {product.price}ден
+          </h3>
         </div>
       </div>
-      <div className="product__addToCart">
+      <div
+        style={{
+          width: "100%",
+          display: "flex",
+          justifyContent: "center",
+          alignItems: "center",
+        }}
+      >
+        {product.countInStock > 0 ? (
+          <span style={{ color: "green" }}>
+            <CheckIcon></CheckIcon>Залиха
+          </span>
+        ) : (
+          <span style={{ color: "red" }}>
+            <ClearIcon></ClearIcon>Залиха
+          </span>
+        )}
+      </div>
+      <div className="product__addToCart" style={{ marginTop: "15px" }}>
         <button onClick={addToCartHandler}>
           <ShoppingBasketIcon />