Index: resources/views/dashboard/departments/index.blade.php
===================================================================
--- resources/views/dashboard/departments/index.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
+++ resources/views/dashboard/departments/index.blade.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
@@ -37,8 +37,8 @@
                             <tr>
                                 <th>
-                                    <div class="custom-control custom-checkbox">
-                                        <input type="checkbox" class="custom-control-input" id="user-list-select-all">
-                                        <label class="custom-control-label" for="user-list-select-all"></label>
-                                    </div>
+                                    {{--                                    <div class="custom-control custom-checkbox">--}}
+                                    {{--                                        <input type="checkbox" class="custom-control-input" id="user-list-select-all">--}}
+                                    {{--                                        <label class="custom-control-label" for="user-list-select-all"></label>--}}
+                                    {{--                                    </div>--}}
                                 </th>
                                 <th>ID</th>
@@ -77,5 +77,5 @@
                                             <i class="ti-pencil"></i>
                                         </a>
-                                        <a href="javascript:void(0)" class="text-danger ml-2" data-action="{{ route("dashboard.departments.destroy", ["id" => $department->id]) }}" data-method="delete" title="Delete">
+                                        <a href="javascript:void(0)" class="text-danger ml-2" data-action="{{ route("dashboard.categories.destroy", ["id" => $category->id]) }}" data-target="#deleteModal" data-toggle="modal" title="Delete">
                                             <i class="ti-trash"></i>
                                         </a>
@@ -85,4 +85,32 @@
                             </tbody>
                         </table>
+
+                        <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-hidden="true">
+                            <div class="modal-dialog modal-dialog-centered" role="document">
+                                <div class="modal-content">
+                                    <div class="modal-header">
+                                        <h5 class="modal-title" id="exampleModalCenterTitle">Delete confirmation</h5>
+                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                            <i class="ti-close"></i>
+                                        </button>
+                                    </div>
+                                    <div class="modal-body">
+                                        <form action="{{ route('dashboard.departments.destroy', 'id') }}" method="post">
+                                            @csrf
+                                            @method('DELETE')
+                                            <input id="id" name="id" hidden value="">
+                                            <p>Are you sure you want to delete department <b>{{$department->name}}</b> with code <b>{{$department->code}}?</b></p>
+                                            <div class="modal-footer">
+                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                                </button>
+                                                <button type="submit" class="btn btn-danger">Save changes</button>
+                                            </div>
+                                        </form>
+                                    </div>
+
+                                </div>
+                            </div>
+                        </div>
+
                     </div>
                 </div>
@@ -94,7 +122,13 @@
 
 @section('script')
+    <script src="{{ url('assets/js/examples/pages/user-list.js') }}"></script>
     <!-- Datatable -->
     <script src="{{ url('vendors/dataTable/dataTables.min.js') }}"></script>
 
-    <script src="{{ url('assets/js/examples/pages/user-list.js') }}"></script>
+    <script>
+        $(document).on('click','.delete',function(){
+            let id = $(this).attr('data-action');
+            $('#id').val(id);
+        });
+    </script>
 @endsection
Index: resources/views/dashboard/documents/index.blade.php
===================================================================
--- resources/views/dashboard/documents/index.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
+++ resources/views/dashboard/documents/index.blade.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
@@ -49,22 +49,22 @@
 @section('script')
 
-    <script>
-        $(function () {
-            $(document).on('click', '.file-upload-btn', function () {
-                $('form#file-upload input[type="file"]').trigger('click');
-            });
+{{--    <script>--}}
+{{--        $(function () {--}}
+{{--            $(document).on('click', '.file-upload-btn', function () {--}}
+{{--                $('form#file-upload input[type="file"]').trigger('click');--}}
+{{--            });--}}
 
-            $(document).on('click', '.app-sidebar-menu-button', function () {
-                $('.app-block .app-sidebar, .app-content-overlay').addClass('show');
-                // $('.app-block .app-sidebar .app-sidebar-menu').niceScroll().resize();
-                return false;
-            });
+{{--            $(document).on('click', '.app-sidebar-menu-button', function () {--}}
+{{--                $('.app-block .app-sidebar, .app-content-overlay').addClass('show');--}}
+{{--                // $('.app-block .app-sidebar .app-sidebar-menu').niceScroll().resize();--}}
+{{--                return false;--}}
+{{--            });--}}
 
-            $(document).on('click', '.app-content-overlay', function () {
-                $('.app-block .app-sidebar, .app-content-overlay').removeClass('show');
-                return false;
-            });
-        });
-    </script>
+{{--            $(document).on('click', '.app-content-overlay', function () {--}}
+{{--                $('.app-block .app-sidebar, .app-content-overlay').removeClass('show');--}}
+{{--                return false;--}}
+{{--            });--}}
+{{--        });--}}
+{{--    </script>--}}
 
 @endsection
Index: resources/views/dashboard/users/index.blade.php
===================================================================
--- resources/views/dashboard/users/index.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
+++ resources/views/dashboard/users/index.blade.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
@@ -38,8 +38,8 @@
                             <tr>
                                 <th>
-                                    <div class="custom-control custom-checkbox">
-                                        <input type="checkbox" class="custom-control-input" id="user-list-select-all">
-                                        <label class="custom-control-label" for="user-list-select-all"></label>
-                                    </div>
+{{--                                    <div class="custom-control custom-checkbox">--}}
+{{--                                        <input type="checkbox" class="custom-control-input" id="user-list-select-all">--}}
+{{--                                        <label class="custom-control-label" for="user-list-select-all"></label>--}}
+{{--                                    </div>--}}
                                 </th>
                                 <th>State</th>